Doomsday Engine - Bug #1132

Rendering slow - slow graphics (1.11.0 => 1.11.2)
2013-09-02 17:03 - tarabs

Status: Closed Start date:
Priority: Normal % Done:
Assignee:

Category: Regression

Target version:

2013-09-02
0%

Description

*was playing in version v1.10.3 - Fast graphics. great fps
*Graphics slow and low fps! long leg!

Best regards

Kamond.

History

#1 - 2013-08-13 06:31 - tarabs

*in the current version graphics are slow and low fps. v1.12
#2 - 2013-09-02 17:05 - tarabs

nothing has changed for me the default in both versions.
the vss is 1 by default in both

#3 - 2013-09-02 17:37 - tarabs

nothing has changed for me the default in both versions.
the 'vid_fsaa' is 1 by default in both

#4 - 2013-09-02 23:51 - tarabs

File in attachment:
Doomsday Engine 1.11.2 (Slow graphics)
Doomsday Engine 1.10.3 (Fast graphics)

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/c903c576/622e/attachment/doomsday112_103.out

#5 - 2013-09-03 00:04 - tarabs

-by the questions follows. 'config' of the two versions, attached.
-1 did test and disable FSAA does not solve the problem

Attachments:
e http://sourceforge.net/p/deng/bugs/_discuss/thread/c903c576/20fc/attachment/game112_103.cfg

#6 - 2013-09-03 00:07 - tarabs

Compared all versions starting from 1.10.3. All settings alike. The problem occurs at slow graphics from version 1.11.1 onwards. It was probably

because of the implementation of the 'taskbar'.

#7 - 2013-09-03 00:14 - skyjake

from version 1.11.1 onwards

There was also a [1.11.0](http://dengine.net/dew/index.php?title=Doomsday_version_1.11.0), is that still "fast"?
http://sourceforge.net/p/deng/bugs/_discuss/thread/c903c576/622e/attachment/doomsday112_103.out
http://sourceforge.net/p/deng/bugs/_discuss/thread/c903c576/20fc/attachment/game112_103.cfg
http://dengine.net/dew/index.php?title=Doomsday_version_1.11.0

Please, could you cite some FPS numbers: how big of a difference in the FPS count are we talking?

#8 - 2013-09-03 14:42 - tarabs

Yes 1.11.0 is still "fast"! Anti-aliasing and no other configuration is influencing the difference. | will be emailing you later fps difference. | will count the
fps.

#9 - 2013-09-09 16:49 - tarabs

| will later post the videos

#10 - 2013-09-09 16:57 - tarabs
Version 1.11.0: FPS - Avg: 25.886 - Min: 16 - Max: 52 (no leg, runs "fast" and smooth.)

Version 1.11.2: FPS - Avg: 8.909 - Min: 3 - Max: 20 (causing much leg, unplayable)
Benchmark run on the map 'Ruined Village' (First map!) of Deathkings of the Dark Citadel

*Battle with 4 (four) 'green chaos serpents' + 7 (seven) 'Ettin' + 4 (four) Afrit

#11 - 2013-09-09 19:41 - danij
- Priority: 1 -->5

#12 - 2013-09-21 18:10 - skyjake

Check that vid-fsaa is set to 0 (zero). Antialiasing often has a big negative impact on framerate.

Also, could you paste here the "OpenGL information" from your doomsday.out (version, renderer, vendor).

#13 - 2013-09-21 18:10 - tarabs

Executable: Doomsday Engine 1.11.2 (Stable 32-bit #971) Aug 29 2013 07:27:56.
OpenGL information:

Version: 4.3.0

Renderer: GeForce GTX 460/PCle/SSE2
Vendor: NVIDIA Corporation
Capabilities:

Compressed texture formats: 23
Available texture units: 4

Maximum texture anisotropy: 16
Maximum texture size: 16384

Line width granularity: 0.125

Line width range: 0.5...10

it

Executable: Doomsday Engine 1.10.3 (Stable 32-bit #869) May 19 2013 20:49:11.
OpenGL information:

Vendor: NVIDIA Corporation

Renderer: GeForce GTX 460/PCle/SSE2
Version: 4.3.0

Available Compressed Texture Formats: 23
Available Texture Units: 4

Maximum Texture Anisotropy: 16

Maximum Texture Size: 16384

Line Width Granularity: 0.1

Line Width Range: 0.5...10.0

#14 - 2013-10-18 14:43 - skyjake

- Category set to Regression

#15 - 2013-10-18 20:25 - skyjake
- Subject changed from New version v1.12 - rendering slow - slow graphics to Rendering slow - slow graphics (1.12)

- Target version deleted (1.12)

#16 - 2013-10-18 20:27 - skyjake
- Tags set to Renderer, Performance

- Subject changed from Rendering slow - slow graphics (1.12) to Rendering slow - slow graphics (1.11.0 => 1.11.2)
https://tracker.dengine.net/issues/971
https://tracker.dengine.net/issues/869

We should try to figure out what changed between 1.11.0 and 1.11.2 that might affect performance in this case.

#17 - 2013-11-18 18:02 - skyjake

Another forum thread that seems related: http://dengine.net/forums/viewtopic.php?f=7&t=1613#topic

#18 - 2017-02-19 22:59 - skyjake

- Status changed from New to Closed
http://www.tcpdf.org

